---
- name: install git # we need to fetch the theme
  apt:
    name: git
    state: present

- name: fetch keycloak theme - {{ keycloak_theme | default('') }}
  git:
    repo: "{{ keycloak_theme }}"
    dest: "{{ remote_path }}/themes/ansible-theme"
    version: "{{ keycloak_theme_version }}"
    force: true
  register: theme
  when: keycloak_theme is defined

## -----For deployment from local folder ----- ##
# - name: create path {{remote_path}}/themes/ansible-theme
#   ansible.builtin.file:
#     path: "{{remote_path}}/themes/ansible-theme"
#     state: directory
#     mode: '0755'

# - name: copy all static files
#   synchronize:
#     recursive: true
#     src: "./rps-keycloak-theme/" # relative to ./files on local role path
#     dest: "{{remote_path}}/themes/ansible-theme" # relative to ~/ on remote
## ------------------------------------------- ##

- name: create config.yaml
  template:
    src: config.yaml.j2
    dest: "{{ remote_path }}/themes/ansible-theme/rps-jinja-template/config.yaml"

- name: run docker-compose
  docker_compose:
    project_src: "{{ remote_path }}/themes/ansible-theme"
    state: present
    build: true
    profiles: build
    restarted: true
    recreate: always
    remove_orphans: true
    pull: true

# ensure theme directory is absent
- name: Delete content & directory
  ansible.builtin.file:
    state: absent
    path: "{{ remote_path }}/themes/rps/"

# create theme directory
- name: create rps theme directory -- {{remote_path}}
  file:
    path: "{{ remote_path }}/themes/rps/"
    state: directory

# move all theme files to theme directory
- name: move all files to rps theme directory
  shell: mv {{ remote_path }}/themes/ansible-theme/rps-keycloak-theme/* {{ remote_path }}/themes/rps/
  notify:
  - Restart Keycloak

# activate theme for each realm
- include_tasks: per_realm.yaml
  loop: "{{ keycloak_realms }}"
